comment
IRC Chat
play_arrow
Este sitio utiliza cookies propias y de terceros. Si continúa navegando consideramos que acepta el uso de cookies. OK Más Información.

Vundle, maneja tus paquetes de VIM

  • 0 Respuestas
  • 1992 Vistas

0 Usuarios y 1 Visitante están viendo este tema.

Conectado ANTRAX

  • *
  • Administrator
  • Mensajes: 5380
  • Actividad:
    76.67%
  • Reputación 31
  • ANTRAX
    • Ver Perfil
    • Underc0de
    • Email
  • Skype: underc0de.org
  • Twitter: @Underc0de
« en: Septiembre 07, 2014, 12:00:43 am »

Vundle es un gestor de complementos o paquetes para el editor de texto VIM, que proporciona una forma facil de instalar, actualizar y remover los complementos.

Vundle te permite:

    Configurar y editar los complementos directamente desde .vimrc
    Instalar complementos configurados, mejor conocidos como scripts/bundle
    Actualizar complementos
    Realizar busquedas de todos los complementos disponibles para VIM
    Hacer limpieza de complementos

Vundle automaticamente:

    Administra los path de los complementos
    Regenera los tags de ayuda despues de instalar y actualizar


Para instalarlo solo es necesario clonar Vundle a la carpeta .vim, de esta manera:

Código: Bash
  1. git clone https://github.com/gmarik/Vundle.vim.git ~/.vim/bundle/Vundle.vim

Luego editamos el archivo que esta en nuestro home, .vimrc

Agregamos esta cabecera:

Código: Text
  1. set rtp+=~/.vim/bundle/Vundle.vim
  2. call vundle#begin()
  3. Plugin 'gmarik/Vundle.vim'

Aca ponemos la ruta de github de todos los complementos que se quieran instalar, por ejemplo:

Código: Text
  1. Plugin 'tpope/vim-fugitive'
  2. Plugin 'L9'

y finalmente esto abajo del listado de plugins:

Código: Text
  1. call vundle#end()            " required
  2. filetype plugin indent on    " required

Ahora abri VIM, y tipea

Código: Text
  1. :PluginInstall

con eso instalas todos los complementos listados.

Fuente: No tienes permisos para ver links. Registrate o Entra con tu cuenta


 

¿Te gustó el post? COMPARTILO!



Como solucionar problemas al Instalar o Actualizar paquetes

Iniciado por ANTRAX

Respuestas: 5
Vistas: 3716
Último mensaje Noviembre 27, 2014, 04:57:18 am
por alonsocn
Bloquear la actualización de paquetes en Debian y Ubuntu

Iniciado por BlackDead

Respuestas: 0
Vistas: 1340
Último mensaje Agosto 07, 2013, 12:19:49 am
por BlackDead
¿Como crear paquetes .deb? dpkg -i

Iniciado por Snifer

Respuestas: 4
Vistas: 1931
Último mensaje Mayo 10, 2014, 10:40:29 pm
por Once
Gestor de Paquetes: APT

Iniciado por ANTRAX

Respuestas: 0
Vistas: 1322
Último mensaje Julio 03, 2014, 10:18:30 am
por ANTRAX